let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const update3dWidget = async (
    zoneId: string,
    organization: string,
    id: string,
    position?: [number, number, number]
) => {
    console.log("organization: ", organization);
    console.log("zoneId: ", zoneId);
    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/v2/modifyPR/widget3D`,
            {
                method: "PATCH",
                headers: {
                    "Content-Type": "application/json",
                },
                body: JSON.stringify({
                    organization,
                    zoneId,
                    id,
                    position,
                }),
            }
        );

        if (!response.ok) {
            throw new Error("Failed to add 3dwidget in the zone");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};

export const update3dWidgetRotation = async (
    zoneId: string,
    organization: string,
    id: string,
    rotation?: [number, number, number]
) => {
    console.log("organization: ", organization);
    console.log("zoneId: ", zoneId);
    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/v2/modifyPR/widget3D`,
            {
                method: "PATCH",
                headers: {
                    "Content-Type": "application/json",
                },
                body: JSON.stringify({
                    organization,
                    zoneId,
                    id,
                    rotation,
                }),
            }
        );

        if (!response.ok) {
            throw new Error("Failed to add 3dwidget in the zone");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};
